About Matrix Y2K

Matrix Y2K is gemaakt door M.A. van IJperen. Ik maak verschillende software producten in mijn vrije tijd.

Een paar jaar geleden heb ik mijn eerste website gemaakt, maar de software voor het maken van websites was erg duur dus ik dacht ik maak zelf de software wel. Toen heb ik dus Matrix Y2K ontwikkeld.

De eerste versie is zo'n 2.5 jaar geleden uitgekomen in November 2000 heb ik versie 5.0 uitgebracht. De software was goed maar had echt meer nodig een betere interface dus in Maart van 2001 ben ik begonnen met een nieuwe versie van Matrix Y2K en 6 maanden later waren de eerste beta versies gereed.

En een jaar na versie 5.0 heb ik versie 6.0 uitgebracht, welke veel meer te bieden heeft als de vorige versie. En een kleine drie maanden later en dat is nu is versie 6.1 uitgekomen van Matrix Y2K.

Dus ik hoop dat u veel plezier beleeft met deze versie van Matrix Y2K website studio. En voor suggesties of opmerking kunt u mij altijd mailen.

Ontwikkeld door M.A. van IJperen - Officiele website : http://www.digitalice.com - Nederland.


Configuration Screen

Hieronder ziet u een screenshot van het configuratie scherm.

[ Editor Options ]

Auto Indent

Deze zorgt ervoor dat de text word ingeschoven.

Show Scroll Hint

Deze optie zorgt ervoor dat er in de rechter bovenhoek een tooltip naar voren komt waar het regel nummer wordt weergegeven en het karakter nummer.

Use line numbers

Als deze optie aan staat dan worden er lijn nummers weergegeven.

Syntax Highlighting

Dit zorgt ervoor dat de html code gekleurde text krijgt zodat bepaalde onderdelen makkelijker te onderscheiden zijn.

Use gutter

Dit zorgt ervoor dat er een balk aan je edit window wordt toegevoegd waar de lijn nummers in worden weergegeven.

Gutter width

De breedte van de Gutter.

Block indent

Dit geeft de indent grote aan als je block indent gebruikt met shift - Ctrl - u en unindent wordt gedaan met shift - ctrl - i dit is een handige functie zodat je je code een vorm kan geven zodat het makkelijker te lezen is.

Use Margin

Met deze optie kunt u de marges instellen van de editor.

[ Editor Options ]

Text Styles

Dit zijn de standaard text instellingen die gebruikt worden in Text formatting

Editor font style

Hier kun je het type font opgeven en de font grote die wordt gebruikt in de editor.

Edit window background color

Hier kun je de achtergrond kleur van het edit window veranderen.

Messages

Hier kun je aanvinken of je een boodschap wilt krijgen als je een document sluit welke nog niet is opgeslagen.

File Manager Options

Hier kunt u instellen of een document met een klik of een dubbel klik geopend moet worden.

Program/Helpfile Language

Hiermee stelt u de taal in van het programma en de helpfile

Path Configuration

FTP Path

Hier kunt u het pad opgeven naar uw favoriete ftp programma.

Browser Path

Hier kunt u het pad opgeven naar uw favoriete browser.

Work Directory

Hier kunt u het pad opgeven waar Matrix Y2K in moet openen als het programma start.

- Syncronize the filemanager with the main open file.

wat betekent dat als de filemanger in c:\ staat dat als je dan op het open icoontje klikt dat deze dan ook in c:\ open gaat.

Code Inside

Voor meer informatie over code inside klik dan hier

New File Configuration

Title

Hier vul je de naam van je site in.

Description

Hier vul je een omschrijving van je site in.

Keywords

Hier kun je allerlei keywords opgeven die te maken hebben met jouw site zodat je site makkelijk gevonden kan worden door search engines.

Author

Hier vul je de naam van de autheur in dit zal degene zijn die dit nu leest of iemand anders.

Extra Document Properties

Active Link

Hier kun je een link kleur kiezen voor actieve links

Visited Link

Hier kun je de kleur opgeven voor reeds bezochte links.

Default link color

Hier kun je de standaard link kleur opgeven.

BackGround Color

Hier kun je de achtergrond kleur van je document kiezen.

Background

Hier kun je een plaatje kiezen die als achtergrond gebruikt moet worden.

Style Sheet

Hier kun je een style sheet opgeven welke allerlei kleuren voor links en dergelijk heeft.

Insert Default Link Colors

Als je een style sheet gebruikt zou je kunnen kiezen om deze optie uit te zetten omdat de link kleuren al bepaald worden in

style sheet dus heb je dus de link colors niet nodig.

Export profile

Hiermee kun je je profiel exporteren zodat je deze aan iemand anders kunt geven of als backup.

Import profile

Hiermee kun je profielen inlezen die je zelf hebt gemaakt of die je van iemand anders hebt gehad.


Adding a table

Hoe werkt het nu en wat betekent het allemaal ?

In het eerste veld "Rows" can je opgeven hoeveel rijen je wilt, het tweede veld "columns" geef je op hoevel kollommen je wilt. Je kan de tabel zo groot maken als je zelf wilt maar een te grote tabel kan een browser doen crashen of kan een lange download tijd veroorzaken en met groot bedoel ik een tabel van 100 bij 100.

Wat betekent Cellpadding ?

Cellpadding bepaald het aantal pixels dat tussen de text en de cell wordt open gehouden. Zie voorbeeld hieronder.

Voorbeeld 1. Cellpadding staat op 5 pixels.

Linker Heading 1 | Linker Heading 2
Cell Padding = 5 | Cell Padding = 5

Voorbeeld 2. Cellpadding staat op 10 pixels.

Rechter Heading 1 | Rechter Heading 2
Cell Padding = 10 | Cell Padding = 10

Wat betekent CellSpacing ?

Cellspacing bepaald het aantal pixels dat tussen de cellen wordt open gehouden. Zie voorbeeld hieronder.

Voorbeeld 1. Cellspacing staat op 5.
Heading 1 | Heading 2
Cell Spacing = 5 | Cell Spacing = 5
Voorbeeld 2. Cellspacing staat op 10.
Heading 1 | Heading 2
Cell Spacing = 10 | Cell Spacing = 10

Wat betekent Alignment ?

Dit bepaalt de plaats van de tabel staat deze in het midden van het document of juist aan de linker of rechter kant.

Align LEFT

Dit zorgt ervoor dat de tabel links wordt uitgelijnd.

Align=RIGHT
 Dit zorgt ervoor dat de tabel rechts wordt uitgelijnd.

ALIGN=CENTER - not supported
Op het moment ondersteund geen een browser ALIGN=CENTER op tabellen. Maar je kunt wel de Center Tags gebruiken ( <CENTER> or <DIV ALIGN=CENTER> ) deze zet je dan om de tabel heen. In Matrix Y2K wordt de <Center> tag gebruikt om tabellen te centeren.

Border ?

Dit zorgt ervoor dat er een rand om de tabel komt te staan.

Border Color

Hier kun je de kleur van je border instellen.

Background Color

Hier kun je de achtergrond van de tabel instellen.

Table Width

Dit bepaald de breedte van de tabel als je 100% opgeeft dan wordt de tabel even groot als de breedte van je document geef je hem een waarde van 50% dan wordt de tabel even groot als de helft van je document maar je kunt ook een vaste waarde opgeven van b.v. 100 dan wordt de tabel 100 pixels groot.


Buttons

1.
2.
3.
4.

5.
6.
7.

8.
9.

10.
11.
12.

13.
14.
15.

16.

17.
18.
19.

20.

21.
22.
23.

24.
25.

26.
27.

28.
29.

30.

31.
32.
33.

         Nieuw document
Document openen
Document opslaan
Document sluiten

Kopieren
Plakken
Knippen

Undo
Redo

Image browser
Document bekijken
Laad Externe browser

Configuratie Scherm
Code inside configuratie
Laad Externe FTP Client

Help openen.

Vet gedrukt
Schuin
UnderLine

Text Formatting

Text uitlijnen naar links
Text uitlijnen in het midden
Text uitlijnen naar rechts

Nummering
Punten

Paragraph
Heading Style

Voeg Line Break toe
Voeg Horizontale Lijn toe

Voeg een tabel toe

Datum en tijd toevoegen.
Laatst bijgewerkt script toevoegen.
Alert box toevoegen.

Shortcuts

Help

Image browser
Document bekijken
Laad externe FTP client
Laad externe browser

Configuratie Scherm

Voeg een tabel toe

Ongedaan maken
Ongedaan terugzetten

Dik gedrukt
Onderstreept
Schuin gedrukt

Knippen
Kopie
Plakken

Text uitlijnen in het midden
Text uitlijnen naar links
Text uitlijnen naar rechts

Nieuw document
Open een document
Bewaar een document

Importeer *.rtf document
Importeer *.doc document

Zoeken
Zoeken en Vervangen
Zoek volgende
Zoek vorige

Alles selecteren

Text formatting

Code Inside

Ga naar lijn nummer

Image Tag
Line Break
Horizontale Lijn
Comment Text
Plaatje toevoegen
Url toevoegen
Flash movie

F1

F8
F9
F10
F12

CTRL - ALT - C

CTRL - T ( See Adding a table help for more information ).

CTRL - Z
CTRL - Alt - Z

CTRL - B
CTRL - U
CTRL - I

CTRL - X
CTRL - C
CTRL - V

CTRL - F1
CTRL - ALT - L
CTRL - ALT - R

CTRL - N
CTRL - O
CTRL - S

F5
F6

CTRL - F
CTRL - R
F3
F2

CTRL - A

F4

CTRL - J Klik hier om meer te leren over code inside.

CTRL - G

Alt - T
Alt - B
Alt - H
Alt - C
Alt - I
Alt - U
Alt - F


Color Bar

Wat kan je doen met de color bar ?

De color bar is ervoor om je text te kleuren je kan twee kleuren vast zetten :

- Voorgrond kleur ( zwarte kleur zie voorbeeld )

- Achtergrond kleur ( witte kleur zie voorbeeld )

De voorgrond kleur is de eerste kleur die je ziet in de Color Bar en de achtergrond kleur is de tweede kleur die je ziet in de color bar zie het plaatje hieronder. Om de color bar te verwijderen druk je op het "x " deze zit aan de onderkant van de colorbar.

Om de kleur toe te voegen klik je op de kleur van je keuze. Wil je nu een stuk geselecteerde text een kleur geven doe dan hetvolgende : Klik in het document op de rechter muisknop en kies dan voor " Color Selected Text " en kies dan voor de foreground color of de background color.

Voor meer informatie over het menu dan moet je de sectie " documents " eens lezen daar wordt alles uitgebreid behandeld.


Documents

Document bekijken

Je kunt een document bekijken zonder het op te slaan ! Een tijdelijk bestand wordt aangemaakt en na het bekijken wordt deze weer verwijderd.

Het previewen van een document in een externe browser werkt net iets anders. Je hoeft hier ook je document niet op te slaan, want hier worden ook tijdelijke bestanden voor aangemaakt alleen worden deze pas verwijderd na het afsluiten van Matrix Y2K.

Importeren van documenten.

Klik in het menu op file en daarna op import hier kun je twee soorten documenten kiezen om te importeren, dit zijn Rich Text Files *.rtf en Word documenten *.doc. Je kunt deze bestanden importeren als een nieuwe document maar je kunt ze ook toevoegen in een bestaand document. Om een word document te importeren is het wel noodzakelijk dat je word geinstalleerd hebt.

Export naar RTF.

Als je in het menu kiest voor " File " en dan voor export dan kun je kiezen om je document te exporteren naar Rich Text formaat *.rtf. Als je dit doet dan wordt je document omgezet naar rich text en kan je dat document bewerken in wordt en zal het in word er net zo uit zien als je document in Matrix Y2K eruit zag.

Rechtermuisknop menu.

Als je een nieuw document hebt gemaakt of je hebt een document open dan kan je in het document klikken met je rechter muisknop en dan komen er tal van nieuwe opties naar voren welke je kunt gebruiken zoals het toevoegen van tags, plaatjes etc ... Zie het plaatje hieronder.

Als je een stuk text selecteerd dan kun je op b.v. bold klikken en dan worden de bold tags toegevoegd de text blijft net zo lang geselecteerd tot dat je in het document klikt dus je kunt je text in een keer bold italic and gecentreerd maken.


Code Inside

Wat is code inside ?

Code inside is een bibliotheek met allerlei scripts die jezelf kunt aanleggen er zitten er standaard een paar in. In je document kun je dan een keyword typen en als je daarna op CTRL - J drukt dan wordt het script die aan het keyword vast zit uit de bibliotheek gehaald en ingevuld in je document.

Dus je hoeft nooit meer twee keer hetzelfde script te typen.

Een script toevoegen aan Code inside.

Clik op "Add Code " daarna zal het onderstaande scherm openen.

Wat moet je invullen ?

- In het eerste veld ( Key ) moet je een keyword invullen deze zal je later in je document moeten typen om de code op te vragen uit de bibliotheek.

- In het 2e veld ( Comment ) hier kun je commentaar invullen over je code.

- In het text veld kun je je code invulllen.

Hoe werkt het ?

Laten we zeggen dat je een key hebt genaamd " Hr " en het script erachter is "<HR Size=1 Color=Black> ".

Nu kun je in je document : Hr typen ( zonder de quotes ) en dan kun je op CTRL - J drukken en je script wordt opgehaald uit de bibliotheek en zal in je document worden ingevuld.

Delete Selected ?

Als je hier op klikt dan wordt het geselecteerde script verwijderd uit de bibliotheek.

Export Code Inside

Hiermee kun je jouw bibliotheek met scripts exporteren om deze te delen met een vriend(in) of collega.

Import Code Inside

Hiermee kun je een bibliotheek met scripts van iemand anders importeren zodat je gebruikt kunt maken van andermans scripts exporteer wel eerst je eigen bibliotheek want deze wordt overschreven !!!


File Tabs

Wat zijn file tabs ? File tabs zijn eigenlijk knoppen die je onderaan in de editor ziet zie het plaatje hieronder

Je kunt op deze knoppen klikken om te schakelen tussen openstaande documenten. Maar je kunt er ook op klikken met je rechter muisknop om meer opties te krijgen zie het plaatje hieronder.

Hiermee kun je het document sluiten of alle documenten sluiten. Je kan ook een document via deze manier bekijken of als je deze knoppen niet wilt zien kun je ervoor kiezen om deze bar te verwijderen. Je kunt hem ten alle tijden ook weer terug zetten via het menu : Opties en Toolbars.


File manager

Met de filemanager kun je allerlei documenten openen van internet gerelateerde documenten tot plaatjes. De documenten die internet gerelateerd zijn worden in de editor geopend en plaatjes worden in de image viewer geopend. Zie het plaatje hieronder.

File manager.

Aan de bovenkant staat een " x " hiermee kan je de filemanager uitschakelen dit kan ook door op F11 te drukken hiermee kun je hem aan of uit zetten.

In de file manager heb je twee delen het bovenste deel geeft de mappen en de harddiskken weer en het onderste deel geeft de bestanden weer. In het bovenste en onderste deel heb je ook een popup menu welke je kan openen door op de rechter muisknop te klikken.

File manager ( Bovenste deel ) rechter muisknop menu

File Manager ( Bottom Mouse Menu )

Een nieuwe optie in Matrix Y2K 6.1 is dat je meerdere files kunt openen, kopieeren en kunt verwijderen.

Je kunt ook allerlei bestanden zoals : html, plaatjes, etc toevoegen aan je document via " Add Selected file to document "


Support

Support of vragen

Je kan support krijgen op verschillende manieren via mijn website of via een email. Maar je kunt ook altijd terecht op mijn forum waar je vragen kan stellen.

Je mag zelf kiezen wat voor jouw de makelijkste manier is. Suggesties zijn altijd welkom die maken de software alleen maar beter.

Officiele Website http://www.digitalice.com
Forum http://www.digitalice.com/bb/index.php
Email software@digitalice.com .
Suggesties matrixy2k@digitalice.com


Visual FX

Where are the Scripts ?

Er zitten geen scripts meer in versie 6.0 van Matrix Y2K dit is niet omdat ik dat niet wil maar net als software worden scripts zo vaak geupdate dat het niet bij te houden is dus heb ik een lijst toegevoegd waar je toffe scripts kunt downloaden.

Dynamic Drive

Is een website die echt van alles hebben van menus tot effecten met hele goeie documentatie.

www.dynamicdrive.com

Dynamic FX

Levert de beste menus en special effects zeker waard om te bekijken.

maximus.ravecore.com

About.com

Is een grote bibliotheek met antwoorden op elke vraag die maar in je opkomt hoeft nog niet eens te maken te hebben met computers en internet.

www.about.com

Dit is de top 3 van beste links die ik zelf ook vaak gebruik.


License

De licentie is geheel in het engels.

Except where otherwise noted, all of the documentation and software included
in the Matrix Y2K package is copyrighted by M.A. van IJperen.

Copyright (C) 1998-2001 M.A. van IJperen. All rights reserved.

This software is provided "as-is," without any express or implied warranty.
In no event shall the author be held liable for any damages arising from the
use of this software.

Permission is granted to anyone to use this software personal or commercial
and to redistribute it in anyway, provided that the following conditions are met:

1. All redistributions must retain all copyright notices that are currently in place,
and this list of conditions without modification.

2. All redistributions must retain all occurances of the
above copyright notice and web site addresses that are currently in
place (for example, in the About boxes).

3. No modifications may be made to the software or installation files.
Redistributions must contain official setup files, if you think that the setup file
is not official then please notify us at piracy@digitalice.com.

An official version can be downloaded from the official website
[ http://www.digitalice.com].

M.A. van IJperen
software@digitalice.com
http://www.digitalice.com